check_cpu(3)

NAME
check_cpu - Detects the CPU type. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void check_cpu();

DESCRIPTION
Detects the CPU type, setting the following global variables. You don't normally need to call this, because allegro_init() will do it for you.

SEE ALSO
cpu_vendor(3), cpu_family(3), cpu_model(3), cpu_capabilities(3), allegro_init(3)